Create a check run
POST
https://api.vercel.com/v2/deployments/{deploymentId}/check-runsCreates a new check run for a deployment.
https://api.vercel.com/v2/deployments/{deploymentId}/check-runs
const response = await fetch('https://api.vercel.com/v2/deployments/deploymentId/check-runs?teamId=string&slug=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "checkId": "example_id" }),});
const data = await response.json();console.log(data);Response
{ "blocks": "build-start", "completedAt": "123", "conclusion": "canceled", "conclusionText": "string", "createdAt": "123", "deploymentId": "example_id", "expectationRef": { "invocationAttempt": "123", "invocationId": "example_id", "jobDefinitionId": "example_id", "jobRunAttempt": "123" }, "expectationRevision": "123", "externalId": "example_id", "externalUrl": "https://example.com", "id": "icfg_1234567890", "name": "Example Name", "output": "value", "ownerId": "example_id", "projectId": "example_id", "requires": "build-ready", "startedAt": "123", "status": "completed", "targets": [], "taskSummary": { "failed": "123", "pending": "123", "succeeded": "123", "total": "123" }, "timeout": "123", "updatedAt": "123", "checkId": "example_id", "source": { "externalResourceId": "example_id", "integrationConfigurationId": "example_id", "integrationId": "example_id", "kind": "integration", "resourceId": "example_id" }}AuthorizationbearerToken
Default authentication mechanism
200Success
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
500Error